@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body,
input {
  font-family: "Poppins", sans-serif;
}

.login-app {
  display: flex;
  min-height: calc(100vh - (80px + 46px));
  align-items: center;
}

.login-card .img-logo {
  width: 100%;
  max-width: 250px;
}

.login-card .card-title {
  font-size: 2.4rem;
  font-weight: 600;
  display: block;
  color: #192335;
}

.login-card p {
  font-size: 14px;
}

.btn-login-google {
  display: block;
  margin: 0 auto;
  width: fit-content;
  padding: 10px 25px;
  color: #fff;
  font-size: 14px;
  font-weight: 600;
  border-radius: 6px;
  border-color: #0092de;
  background-color: #0092de;
}

.btn-login-google:hover,
.btn-login-google:focus {
  color: #fff;
  border-color: #0a7eb4;
  background-color: #0a7eb4;
  transform: translateY(-4px);
}

.btn-login-google .img-google {
  padding: 5px;
  border-radius: 6px;
  margin-right: 10px;
  background-color: #fff;
}

.btn-login-google .img-google img {
  width: 100%;
  height: auto;
  max-width: 30px;
}

.half-link {
  padding: 10px 18px;
  display: block;
  font-size: 14px;
  font-weight: 600;
  color: #0092de;
  text-align: center;
  border-radius: 6px;
  border: 1px solid #0092de;
}

.half-link:hover,
.half-link:focus {
  color: #fff;
  border-color: #0092de;
  background-color: #0092de;
}

.btn-view-password {
  outline: none;
  color: #192335;
  border: none;
  border-left: 2px solid #e6e3f1;
  background-color: #fff;
  height: 46px;
  width: 60px;
  position: absolute;
  right: 2px;
  top: 2px;
  border-radius: 0 6px 6px 0;
}

.btn-view-password:hover,
.btn-view-password:focus {
  background-color: #f2f2f2;
}

.btn-login {
  color: #fff;
  padding: 15px;
  font-weight: 500;
  display: block;
  text-align: center;
  border-radius: 6px;
  background-color: #0092de;
}

.btn-login:hover,
.btn-login:focus {
  color: #fff;
  border-color: #0a7eb4;
  background-color: #0a7eb4;
  transform: translateY(-4px);
}